# EitherExtension<L, R> extension

An extension on the `Either` class that provides additional functionality.

This extension allows you to add custom methods or properties to the `Either` class, which can be useful for handling operations involving `Either` types in a more convenient or expressive way.

Type Parameters:

- `L`: The type of the left value.
- `R`: The type of the right value.

on
  - Either<L, R>

## Properties

asLeft → L?
  no setter
asRight → R?
  no setter